### Home Classes Methods

### In Files

- lib/gtk2/base.rb

### Parent

Object

### Methods

- #set_source_color
- #source_color=

### Class/Module Index

Quicksearch

- Gtk
- Gtk::Builder
- Gtk::Printer
- Cairo
- Cairo::Context
- Gdk

No matching classes.

# Cairo::Context

### Public Instance Methods

set_source_color(color) click to toggle source

    # File lib/gtk2/base.rb, line 37
    def set_source_color(color)
      if color.is_a?(Gdk::Color)
        set_source_gdk_color(color)
      else
        set_source_not_gdk_color(color)
      end
    end

source_color=(color) click to toggle source

    # File lib/gtk2/base.rb, line 48
    def source_color=(color)
      set_source_color(color)
      color
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.